Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 615822 - SSHFS locks up file browser when mounting server home directory
SSHFS locks up file browser when mounting server home directory
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: fuse-sshfs (Show other bugs)
19
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 21:18 EDT by Paul Lambert
Modified: 2015-02-18 08:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:27:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Lambert 2010-07-18 21:18:50 EDT
Description of problem:
sshfs locks up on mounting and times out

Version-Release number of selected component (if applicable):
fuse-sshfs.i686                            2.2-5.fc12 
kernel.i686                                2.6.33.6-147.fc13

How reproducible:
Everytime sshfs is used to mount server file system

Steps to Reproduce:
1.sshfs ME@mycpu.com: /home/HostDisk
2.
3.
  
Actual results:


Expected results:
This worked successfully on FE-12

Additional info:
In searching for the RPM I thought it odd that the only RPM for sshfs was for FC12.  I installed the FC12 using yum from the repo updates-testing.  FC12 is what was loaded.

dmesg output
fuse init (API version 7.13)
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
SELinux: initialized (dev fuse, type fuse), uses genfs_contexts
INFO: task gvfs-gdu-volume:2037 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
gvfs-gdu-volu D 000000bb     0  2037      1 0x00000080
 f1e8ddc0 00000082 0271de7d 000000bb 00000000 c0a48394 c0a4cf40 c0a4cf40
 c0a4cf40 f6b94f1c f1e8de08 0007ad8d c2104394 00000001 00000000 000000bb
 f6b94c80 00000647 00000000 00000000 00000400 f5240238 f6b94c80 f524023c
Call Trace:
 [<c0782175>] __mutex_lock_common+0x110/0x15f
 [<c07821d6>] __mutex_lock_slowpath+0x12/0x15
 [<c07822ac>] ? mutex_lock+0x2b/0x39
 [<c07822ac>] mutex_lock+0x2b/0x39
 [<c04d7559>] do_lookup+0x82/0x134
 [<c04d8dbd>] link_path_walk+0x395/0x4bc
 [<c04a4e75>] ? get_page_from_freelist+0x30c/0x397
 [<c04d8f34>] path_walk+0x50/0xb0
 [<c04d906a>] do_path_lookup+0x21/0x6f
 [<c04d9881>] user_path_at+0x39/0x5f
 [<c04cd665>] ? mem_cgroup_charge_common+0x52/0x5c
 [<c04a7139>] ? lru_cache_add_lru+0x22/0x24
 [<c04bb8df>] ? page_add_new_anon_rmap+0x56/0x64
 [<c04d398d>] vfs_fstatat+0x2d/0x54
 [<c04d39f8>] vfs_lstat+0x16/0x18
 [<c04d3a0e>] sys_lstat64+0x14/0x28
 [<c0785698>] ? do_page_fault+0x2cd/0x2fa
 [<c047c7ce>] ? audit_syscall_entry+0x113/0x135
 [<c040889f>] sysenter_do_call+0x12/0x28
Comment 1 Paul Lambert 2010-07-21 10:51:40 EDT
Output form sshfs with fuse debug enabled.  The debug statement containing GETATTR (3) is generated when I attempt to perform a "ls" on the mounted file system.  The terminal window freezes at this point until the file system is unmounted.


[EB30750@Fedora-Home ~]$ sshfs BRSINC-01.localdomain:  /home/EB30750/HostHome -d -o debug
EB30750@brsinc-01.localdomain's password: 
FUSE library version: 2.8.4
nullpath_ok: 0
unique: 1, opcode: INIT (26), nodeid: 0, insize: 56
INIT: 7.13
flags=0x0000007b
max_readahead=0x00020000
   INIT: 7.12
   flags=0x00000011
   max_readahead=0x00020000
   max_write=0x00010000
   unique: 1, success, outsize: 40
unique: 2, opcode: LOOKUP (1), nodeid: 1, insize: 47
LOOKUP /.Trash
getattr /.Trash
   unique: 2, error: -2 (No such file or directory), outsize: 16
unique: 3, opcode: LOOKUP (1), nodeid: 1, insize: 51
LOOKUP /.Trash-500
getattr /.Trash-500
unique: 4, opcode: OPENDIR (27), nodeid: 1, insize: 48
   unique: 4, success, outsize: 32
   unique: 3, error: -2 (No such file or directory), outsize: 16
unique: 5, opcode: READDIR (28), nodeid: 1, insize: 80
getdir[0]
unique: 6, opcode: GETATTR (3), nodeid: 1, insize: 56
getattr /
unique: 7, opcode: GETATTR (3), nodeid: 1, insize: 56
getattr /
unique: 8, opcode: STATFS (17), nodeid: 1, insize: 40
statfs /
Comment 2 Paul Lambert 2010-07-21 23:33:00 EDT
This matter is resolved if the IP address of the virbr0 is used instead of the cpuName.localdomain.  sshfs does not appear to resolve names when run on a guest VM.  sshfs user@192.168.122.1 /mnt_point works
Comment 3 Bug Zapper 2011-06-01 09:30:27 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:18:46 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Peter Lemenkov 2011-09-22 08:53:42 EDT
Could you, please, try latest fuse-sshfs from updates-testing with additional parameter - 'delay_connect'
Comment 6 Fedora End Of Life 2013-04-03 16:08:14 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 16:44:48 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 08:27:33 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.